package com.ssj.bean.weixin.libmy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;


@Entity
@Table(name = "tb_lib_book_info")
public class TbLibBookInfo extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * id varchar(36) not null ,
	author_intro varchar(2000) comment '作者简介',
	summary varchar(4000) comment '内容简介',
	price varchar(50) comment '售价',
	author varchar(100) comment '售价',
	publisher varchar(100) comment '出版社',
	isbn13 varchar(13)  comment 'isbn10',
	isbn10 varchar(10)  comment 'isbn13',
	douban_image varchar(200) comment '豆瓣书籍图片url(取大图)',
	pubdate varchar(50) comment '出版日期',
	local_image varchar(200) comment '下载后的图片',
	book_tag varchar(36) comment '标签',
	book_age varchar(36) comment '适合年龄段',
	create_time datetime comment '创建日期',
	update_time datetime comment '更新日期',
	pages varchar(50) comment '总页数',
	catalog varchar(4000) comment '目录',
	book_stock integer comment '库存',
	lib_id varchar(36) comment '所属图书馆 tb_lib_join',
	 */
	private String title;
	private String authorIntro;
	private String summary;
	private String price;
	private String author;
	private String publisher;
	private String isbn13;
	private String isbn10;
	private String doubanImage;
	private String pubdate;
	private String localImage;
	private Date createTime;
	private Date updateTime;
	private String pages;
	private String catalog;
	private String libId;
	private String bookTag;
	private String bookAge;
	private Integer bookStock;//总库存
	private Integer bookStockRemain;//剩余库存
	private String isSerial; //是否丛书，针对1个isbn号有多个副本的情况
	private String csisbn; //丛书isbn
	
	private Integer type;//1上架 2下架
	private String bookcase;//书架
	private String startAge;//适读起始年龄
	private String endAge;//适读结束年龄
	private Integer num;
	private String keyword;//关键字
	private String bookGr;//gr
	private String keywordFeel;//关键字的情感指数，用于推荐书籍的
	
	private String parentTheme; //一级主题
	private String childTheme;//二级主题
	private String grade;//年级
	private String section;//年段
	  /**
     * 关联组织架构
     */
    private String  orgCode;
	
	@Column(name = "author_intro")
	public String getAuthorIntro() {
		return authorIntro;
	}
	public void setAuthorIntro(String authorIntro) {
		this.authorIntro = authorIntro;
	}
	@Column(name = "summary")
	public String getSummary() {
		return summary;
	}
	public void setSummary(String summary) {
		this.summary = summary;
	}
	public String getBookGr() {
		return bookGr;
	}
	public void setBookGr(String bookGr) {
		this.bookGr = bookGr;
	}
	public String getKeywordFeel() {
		return keywordFeel;
	}
	public void setKeywordFeel(String keywordFeel) {
		this.keywordFeel = keywordFeel;
	}
	@Column(name = "author")
	public String getAuthor() {
		return author;
	}
	@Column(name = "price")
	public String getPrice() {
		return price;
	}
	public void setPrice(String price) {
		this.price = price;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	@Column(name = "publisher")
	public String getPublisher() {
		return publisher;
	}
	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}
	@Column(name = "isbn13")
	public String getIsbn13() {
		return isbn13;
	}
	public void setIsbn13(String isbn13) {
		this.isbn13 = isbn13;
	}
	@Column(name = "isbn10")
	public String getIsbn10() {
		return isbn10;
	}
	public void setIsbn10(String isbn10) {
		this.isbn10 = isbn10;
	}
	@Column(name = "douban_image")
	public String getDoubanImage() {
		return doubanImage;
	}
	public void setDoubanImage(String doubanImage) {
		this.doubanImage = doubanImage;
	}
	@Column(name = "pubdate")
	public String getPubdate() {
		return pubdate;
	}
	public void setPubdate(String pubdate) {
		this.pubdate = pubdate;
	}
	@Column(name = "local_image")
	public String getLocalImage() {
		return localImage;
	}
	public void setLocalImage(String localImage) {
		this.localImage = localImage;
	}
	@Column(name = "create_time",updatable =false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@Column(name = "update_time",insertable =false)
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	@Column(name = "pages")
	public String getPages() {
		return pages;
	}
	public void setPages(String pages) {
		this.pages = pages;
	}
	@Column(name = "catalog")
	public String getCatalog() {
		return catalog;
	}
	public void setCatalog(String catalog) {
		this.catalog = catalog;
	}
	@Column(name = "lib_id")
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	@Column(name = "book_tag")
	public String getBookTag() {
		return bookTag;
	}
	public void setBookTag(String bookTag) {
		this.bookTag = bookTag;
	}
	@Column(name = "book_age")
	public String getBookAge() {
		return bookAge;
	}
	public void setBookAge(String bookAge) {
		this.bookAge = bookAge;
	}
	@Column(name = "book_stock")
	public Integer getBookStock() {
		return bookStock;
	}
	public void setBookStock(Integer bookStock) {
		this.bookStock = bookStock;
	}
	@Column(name = "title")
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	@Column(name = "type")
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	@Transient
	public Integer getNum() {
		return num;
	}
	public void setNum(Integer num) {
		this.num = num;
	}
	@Column(name = "org_code")
	public String getOrgCode() {
		return orgCode;
	}
	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}
	public String getIsSerial() {
		return isSerial;
	}
	public void setIsSerial(String isSerial) {
		this.isSerial = isSerial;
	}
	public String getCsisbn() {
		return csisbn;
	}
	public void setCsisbn(String csisbn) {
		this.csisbn = csisbn;
	}
	
	public String getBookcase() {
		return bookcase;
	}
	public void setBookcase(String bookcase) {
		this.bookcase = bookcase;
	}
	public String getStartAge() {
		return startAge;
	}
	public void setStartAge(String startAge) {
		this.startAge = startAge;
	}
	public String getEndAge() {
		return endAge;
	}
	public void setEndAge(String endAge) {
		this.endAge = endAge;
	}
	public String getKeyword() {
		return keyword;
	}
	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}
	public String getParentTheme() {
		return parentTheme;
	}
	public void setParentTheme(String parentTheme) {
		this.parentTheme = parentTheme;
	}
	public String getChildTheme() {
		return childTheme;
	}
	public void setChildTheme(String childTheme) {
		this.childTheme = childTheme;
	}
	public String getGrade() {
		return grade;
	}
	public void setGrade(String grade) {
		this.grade = grade;
	}
	public String getSection() {
		return section;
	}
	public void setSection(String section) {
		this.section = section;
	}
	public Integer getBookStockRemain() {
		return bookStockRemain;
	}
	public void setBookStockRemain(Integer bookStockRemain) {
		this.bookStockRemain = bookStockRemain;
	}
	
	
	
}
